#pragma once
#include "util/AgObject.h"
#include "util/Comparable.h"
#include "util/Cloneable.h"

class AgDouble : public AgObject, public Comparable, public Cloneable
{
public:
    AgDouble(double val);

    double getValue();

    int compareTo(Comparable *obj);
    virtual std::string getClass();
    virtual int hashCode();
    virtual bool equals(AgObject* obj);
    virtual AgString toString();
    virtual Cloneable *clone();

private:
    double value;
};

